<h3><i>Science and Engineering Ethics(2001) 7,231-238</i></h3>
<hr>
<h1><b>Software Engineering Code of Ethics and Professional Practice</b></h1>


<h3><b>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</b></h3>
<hr>
<h3><b>Keywords:</b>4 code of ethics, professional responsibility, software engineering</h3>
<h3><b>PREAMBLE</b></h3>
<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses the
are included in the full version give examples and details of how these aspirations change the way
act as software engineering professionals. Without the aspirations, the details can become legalisti
and tedious; without the details, the aspirations can become high-sounding but empty; together, the
aspirations and the details form a cohesive code.</p>
<p>Software engineers shall commit themselves to making the analysis, specification, design,development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engine shall adhere to the following eight Principles:</p>

<h3><b>PRINCIPLES</b></h3>
<ol>
  <li>Public. Software engineers shall act consistently with the public interest.</li>
  <li>Client and employer. Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
  <li><i>Product.</i> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
  <li><i>Judgment.</i> Software engineers shall maintain integrity and independence in their professional judgment.</li>
  <li><i>Management.</i> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
  <li><i>Profession.</i> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest</li>
  <li><i>Colleagues.</i> Software engineers shall be fair to and supportive of their colleagues.</li>
  <li><i>Self.</i> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession</li>
</ol>
